#include "promoteurform.h"

PromoteurForm::PromoteurForm(QWidget *parent) :
    AbstractForm(parent)
{

mFgb = new FieldListGroupBox("promoteurs");
setMainWidget(mFgb);
setTitle("promoteur");
setupUi();
}
void PromoteurForm::setupUi()
{

    ModelFieldWidget * typeField = new ModelFieldWidget("promoteur_types","nom");

    mFgb->fieldList()->addTitleSpace("General");
    mFgb->fieldList()->addField("nom","nom", new StringFieldWidget);
    mFgb->fieldList()->addField("type","promoteur_type_id", typeField);
    mFgb->fieldList()->addField("commentaire","commentaire",new CommentFieldWidget);

    mFgb->fieldList()->addTitleSpace("Adresse");
    mFgb->fieldList()->addField("region","region",new StringFieldWidget);
    mFgb->fieldList()->addField("rue","rue",new StringFieldWidget);
    mFgb->fieldList()->addField("code_postal","code_postal",new StringFieldWidget);
    mFgb->fieldList()->addField("ville","ville",new StringFieldWidget);
    mFgb->fieldList()->addField("pays","pays",new StringFieldWidget);
        mFgb->fieldList()->addTitleSpace("Contact");
    mFgb->fieldList()->addField("telephone","telephone",new StringFieldWidget);
    mFgb->fieldList()->addField("fax","fax",new StringFieldWidget);
    mFgb->fieldList()->addField("email","email",new MailFieldWidget);
    mFgb->fieldList()->addField("website","website",new LinkFieldWidget);









}

void PromoteurForm::save()
{
mFgb->fieldList()->save();
}

void PromoteurForm::load(QSqlRecord record)
{

mFgb->fieldList()->load(record);

}
