#include "investigationmainwindow.h"
#include <QActionGroup>
#include <QToolBar>
#include "tablewidget/protocoletablewidget.h"
#include "tablewidget/promoteurtablewidget.h"
#include "tablewidget/annuairetablewidget.h"
#include "tablewidget/centretablewidget.h"

InvestigationMainWindow::InvestigationMainWindow(QWidget *parent) :
        MainWindow(parent)
{



    QAction * centreAction = new QAction("centre",this);
    QAction * protocoleAction = new QAction("protocole",this);
    QAction * promoteurAction = new QAction("promoteur",this);
    QAction * annuaireAction = new QAction("annuaire",this);



    addWidgetAction(centreAction, new CentreTableWidget);
    addWidgetAction(protocoleAction, new ProtocoleTableWidget);
    addWidgetAction(promoteurAction, new PromoteurTableWidget);
    addWidgetAction(annuaireAction, new AnnuaireTableWidget);



}

